## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check

%global crate inferno

Name:           rust-inferno
Version:        0.11.21
Release:        %autorelease
Summary:        Rust port of the FlameGraph performance profiling tool suite

License:        CDDL-1.0
URL:            https://crates.io/crates/inferno
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump quick-xml dependency from 0.26 to 0.30 (non-upstreamable)
# * drop unused, benchmark-only criterion dev-dependency to speed up builds
Patch:          inferno-fix-metadata.diff
Patch:          0001-port-to-quick-xml-0.28.patch

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Rust port of the FlameGraph performance profiling tool suite.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# Apache-2.0 OR MIT
# BSD-2-Clause OR Apache-2.0 OR MIT
# CDDL-1.0
# MIT
# MIT OR Apache-2.0
# Unlicense OR MIT
# Zlib OR Apache-2.0 OR MIT
License:        CDDL-1.0 AND MIT AND (Apache-2.0 OR MIT) AND (BSD-2-Clause OR Apache-2.0 OR MIT) AND (Unlicense OR MIT) AND (Zlib OR Apache-2.0 OR MIT)
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc CHANGELOG.md
%doc README.md
%{_bindir}/inferno-collapse-dtrace
%{_bindir}/inferno-collapse-ghcprof
%{_bindir}/inferno-collapse-guess
%{_bindir}/inferno-collapse-perf
%{_bindir}/inferno-collapse-recursive
%{_bindir}/inferno-collapse-sample
%{_bindir}/inferno-collapse-vsprof
%{_bindir}/inferno-collapse-vtune
%{_bindir}/inferno-diff-folded
%{_bindir}/inferno-flamegraph

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clap-devel %{_description}

This package contains library source intended for building other packages which
use the "clap" feature of the "%{crate}" crate.

%files       -n %{name}+clap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+cli-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+cli-devel %{_description}

This package contains library source intended for building other packages which
use the "cli" feature of the "%{crate}" crate.

%files       -n %{name}+cli-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-channel-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-channel-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-channel" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-channel-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+crossbeam-utils-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+crossbeam-utils-devel %{_description}

This package contains library source intended for building other packages which
use the "crossbeam-utils" feature of the "%{crate}" crate.

%files       -n %{name}+crossbeam-utils-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dashmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dashmap-devel %{_description}

This package contains library source intended for building other packages which
use the "dashmap" feature of the "%{crate}" crate.

%files       -n %{name}+dashmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+env_logger-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+env_logger-devel %{_description}

This package contains library source intended for building other packages which
use the "env_logger" feature of the "%{crate}" crate.

%files       -n %{name}+env_logger-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+indexmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+indexmap-devel %{_description}

This package contains library source intended for building other packages which
use the "indexmap" feature of the "%{crate}" crate.

%files       -n %{name}+indexmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+multithreaded-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+multithreaded-devel %{_description}

This package contains library source intended for building other packages which
use the "multithreaded" feature of the "%{crate}" crate.

%files       -n %{name}+multithreaded-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nameattr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nameattr-devel %{_description}

This package contains library source intended for building other packages which
use the "nameattr" feature of the "%{crate}" crate.

%files       -n %{name}+nameattr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+regex-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+regex-devel %{_description}

This package contains library source intended for building other packages which
use the "regex" feature of the "%{crate}" crate.

%files       -n %{name}+regex-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+rle-decode-fast-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+rle-decode-fast-devel %{_description}

This package contains library source intended for building other packages which
use the "rle-decode-fast" feature of the "%{crate}" crate.

%files       -n %{name}+rle-decode-fast-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%if %{with check}
%check
# * skip tests that require files which are not included in published crates
%cargo_test -- -- --skip test_collapse_multi_dtrace --skip test_collapse_multi_dtrace_simple --skip test_collapse_multi_perf --skip test_collapse_multi_perf_simple --skip test_multiple_skip_after --skip test_one_skip_after
%endif

%changelog
## START: Generated by rpmautospec
* Fri Aug 09 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.21-1
- Update to version 0.11.21; Fixes RHBZ#2297868

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.19-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu May 23 2024 Fabio Valentini <decathorpe@gmail.com> - 0.11.19-1
- Update to version 0.11.19; Fixes RHBZ#2232925

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.15-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Aug 10 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.15-3
- Bump quick-xml dependency from 0.28 to 0.30

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jul 15 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.15-1
- Update to version 0.11.15; Fixes RHBZ#2130380

* Sat Feb 04 2023 Fabio Valentini <decathorpe@gmail.com> - 0.11.7-3
- Rebuild for fixed frame pointer compiler flags in Rust RPM macros

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.11.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.11.7-1
- Update to version 0.11.7; Fixes RHBZ#2060252

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Feb 25 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.8-3
- Remove obsolete version downgrades; fix license of binary subpackage

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Nov 18 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 0.10.8-1
- Initial import; Fixes: RHBZ#2021345
## END: Generated by rpmautospec
